FEDORA-2016-71be756bbe created by sandeen 5 years ago for Fedora 22
stable

Kernel v4.4 and later detects an XFS log problem which is only fixed by xfsprogs v4.3 or later. If you have encountered the inability to mount an xfs filesystem such as:

XFS (dm-3): Mounting V5 Filesystem

XFS (dm-3): Corruption warning: Metadata has LSN (1:16) ahead of current LSN (1:2).

Please unmount and run xfs_repair (>= v4.3) to resolve.

XFS (dm-3): log mount/recovery failed: error -22 XFS (dm-3): log mount failed

please update to this version of xfsprogs and run xfs_repair against the filesystem. See also this email thread.

How to install

sudo dnf upgrade --advisory=FEDORA-2016-71be756bbe

This update has been submitted for testing by sandeen.

5 years ago

This update has been pushed to testing.

5 years ago
User Icon kevin commented & provided feedback 5 years ago
karma

seems to work ok here

User Icon pbrobinson commented & provided feedback 5 years ago
karma

Seems OK with very basic testing

BZ#1314795 Kernel 4.4.3 fails to boot the system on XFS root, erroneous errors due to old xfsprogs
BZ#1314605 xfs_repair will "corrupt" your data

This update has been pushed to stable.

5 years ago

Please login to add feedback.

Metadata
Type
bugfix
Severity
medium
Karma
2
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
5 years ago
in testing
5 years ago
in stable
5 years ago
BZ#1314605 xfs_repair will "corrupt" your data
0
1
BZ#1314795 Kernel 4.4.3 fails to boot the system on XFS root, erroneous errors due to old xfsprogs
0
1

Automated Test Results